Package ru.bitel.bgbilling.modules.voice.server.task

# Class VoiceBalanceSetter

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.modules.voice.server.task.VoiceBalanceSetter

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class VoiceBalanceSetter extends RunTask

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `email`
  `protected final int`
  `moduleId`
  `protected final Date`
  `month`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceBalanceSetter(int moduleId, Date month, String email, Set<Integer> contracts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleId

    protected final int moduleId

  - ### month

    protected final Date month

  - ### email

    protected final String email

- ## Constructor Details

  - ### VoiceBalanceSetter

    public VoiceBalanceSetter(int moduleId, Date month, String email, Set<Integer> contracts)

- ## Method Details

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `RunTask`